# 环境配置
server:
  port: 9091
  servlet:
    context-path: /api/aipocloud
  ssl:
    key-store: classpath:ssl/server.jks
    key-store-password: jJFTKCDX5mP9uvFb
    keyStoreType: JKS      # 证书类型为jks, 非Tomcat下pfx [密码\路径不对程序启动异常]
    http: 9090             # 同时启用http服务端口, 原默认端口只能https访问, 此处http端口仅支持http访问

# condition
spel:
  scheduling: true         # 定时任务是否执行
  multiSource: false       # 是否多数据源配置

spring:
  # database
  datasource:
    driver-class-name: com.microsoft.sqlserver.jdbc.SQLServerDriver
    url: jdbc:sqlserver://127.0.0.1:1433;SelectMethod=cursor;DatabaseName=dingtalk
    username: DingTalk
    password: Dingding2023@#
    # JPA
    jpa:
      database: sql_server
      properties:
        hibernate:
          default_schema: dbo

# dingtalk
dingtalk:
  agentId: 2791266100
  appKey: ding0dmmeh4ufremtbkp
  appSecret: RHE6gWY-0PBUSFKNF6j__v1II9WD5h0u2TZDK3QwKKczivXid2br_SMWK-EKSDLT
  corpId: dingbc79c496d04b812f35c2f4657eb6378f
  aesKey: vBtjZT6yIJXPywnOqmMHYUyPBpglTostOMpdQIMrSHk
  token: ngnPYIwW5RfZwxnb1OjQJMb6U62NYKbvxGtcVaYe1hRaaKM1j8qG
  operator: "0220663466860353"   # OA管理员账号
